Bug 165936 - Can't get source using 'up2date --get-source kernel' because of missing file
Can't get source using 'up2date --get-source kernel' because of missing file
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Bret McMillan
Fanny Augustin
Depends On:
  Show dependency treegraph
Reported: 2005-08-14 19:51 EDT by Richard Stover
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-05 11:29:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Richard Stover 2005-08-14 19:51:01 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
I recently upgraded from fc3 to fc4 and then used up2date to get recent
updates. I want to mount an ntfs disk so I need to get the kernel source to get
the ntfs module. When I try 'up2date --get-source kernel' it crashes with this
An error has occurred:
See /var/log/up2date for more information

A look at /var/log/up2date leads me to:
/usr/share/rhn/up2date_client/rpmSource.py", line 241
where I find it is trying to open file:
This file does not exist. So the attempt to read fails.
I do seem to have similar,old files for fc3 and fc2.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.up2date --get-source kernel

Actual Results:  An error has occurred:
See /var/log/up2date for more information

Expected Results:  kernel source rpm downloaded.

Additional info:

If this doesn't work, how should I get the source? Do I have to
download the source rpm iso images? I hope not since the kernel
is not upgraded to the latest version.
Comment 1 Richard Stover 2005-08-14 19:53:57 EDT
Is there some way to force up2date to generate the missing file?
Comment 2 M.Seiler 2005-08-15 05:51:04 EDT
You can download it manualy from any fedora mirror.

Example from: http://ftp.hostrino.com/pub/fedora/linux/core/updates/4/SRPMS/
Comment 3 Ronan Waide 2005-08-19 11:46:15 EDT
Comment #2 misses the point. If up2date provides a --get-source option,
shouldn't it actually work? Yes, I can fetch the update from a mirror, but if
I've got several repos in my up2date config, then I have to figure out which
repo the package belongs to before I can identify the correct URL. Note that the
--get option also doesn't work, presumably because of the same missing file.
Comment 4 John Thacker 2006-10-29 15:28:08 EST
up2date was replaced by pirut and put (package pirut) as of FC5.  Only FC5 and
FC6 are currently fully supported; FC3 and FC4 are supported for security fixes
only.  If this bug occurs in FC3 or FC4 and is a security bug, please change the
product to Fedora Extras and the version to match.  If you can verify that the
bug exists in RHEL as well, please change the product and version appropriately.

The codebase for pirut and pup is quite different, but if a similar bug exists
in pirut and pup in FC5 or FC6, please change the product to pirut and the
version appropriately and update the bug report.

We apologize that the bug was not fixed before now.  The status will be changed
to NEEDINFO, and if the bug is not updated with evidence that it is a security
bug or a bug that affects RHEL, it will be closed.
Comment 5 John Thacker 2006-11-05 11:29:33 EST
Closing per previous message.

Note You need to log in before you can comment on or make changes to this bug.